summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--libre/iceweasel/9001-always-sync-remote-settings-with-local-dump.patch (renamed from libre/iceweasel/libre-0001-always-sync-remote-settings-with-local-dump.patch)4
-rw-r--r--libre/iceweasel/9002-misc-libre.patch (renamed from libre/iceweasel/libre.patch)0
-rw-r--r--libre/iceweasel/PKGBUILD71
-rw-r--r--libre/iceweasel/process-json-files.py (renamed from libre/iceweasel/libre-process-json-files.py)0
4 files changed, 38 insertions, 37 deletions
diff --git a/libre/iceweasel/libre-0001-always-sync-remote-settings-with-local-dump.patch b/libre/iceweasel/9001-always-sync-remote-settings-with-local-dump.patch
index 4e3732845..d22b7e35d 100644
--- a/libre/iceweasel/libre-0001-always-sync-remote-settings-with-local-dump.patch
+++ b/libre/iceweasel/9001-always-sync-remote-settings-with-local-dump.patch
@@ -627,7 +627,7 @@ index 1025ab33a2..253251823a 100644
XPCOMUtils.defineLazyGlobalGetters(this, ["fetch"]);
const TELEMETRY_COMPONENT = "remotesettings";
-+const DEFERRED_SYNC_DELAY_MILLISECONDS = 1000
++const DEFERRED_SYNC_DELAY_MILLISECONDS = 1000;
XPCOMUtils.defineLazyGetter(this, "console", () => Utils.log);
@@ -667,7 +667,7 @@ index 1025ab33a2..253251823a 100644
+ throw new MissingSignatureError(this.identifier);
+ }
+
-+ if ((syncIfEmpty && !hasLocalData)) {
++ if (syncIfEmpty && !hasLocalData) {
// .get() was called before we had the chance to synchronize the local database.
// We'll try to avoid returning an empty list.
if (!this._importingPromise) {
diff --git a/libre/iceweasel/libre.patch b/libre/iceweasel/9002-misc-libre.patch
index 124ff00f2..124ff00f2 100644
--- a/libre/iceweasel/libre.patch
+++ b/libre/iceweasel/9002-misc-libre.patch
diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 7dfaf626a..08f9952e9 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -74,9 +74,9 @@ source=(https://archive.mozilla.org/pub/firefox/releases/$pkgver/source/firefox-
0001-Use-remoting-name-for-GDK-application-names.patch
$pkgname.desktop)
source+=(https://repo.parabola.nu/other/iceweasel/${pkgname}_${_brandingver}-${_brandingrel}.branding.tar.xz{,.sig}
- libre.patch
- libre-0001-always-sync-remote-settings-with-local-dump.patch
- libre-process-json-files.py
+ 9001-always-sync-remote-settings-with-local-dump.patch
+ 9002-misc-libre.patch
+ process-json-files.py
vendor.js.in)
source_armv7h=(arm.patch
build-arm-libopus.patch)
@@ -86,10 +86,10 @@ sha256sums=('92bfd518d4f9760c897388a8e06130b171c1c43524d8af181add9daac2be7b37'
'SKIP'
'8b236bbf3ae5cb28d1dd742f543c0079fac06af5aa80bc2051defeba95f0ae21'
'44be8e819b8334ed36e9410d62dbc6c16dd8f8329a191403bfdce3cf2e9181fc'
- 'faf0faa5cc318515880e1c9854938f73e586b590c9696e95db323eea65d67a77'
+ '12c2c1a9e71a83fb0afa0c7baa2b4567796cff9b678a2f8c3ce7cdbe2c721357'
'SKIP'
+ '2a76ef07190ed545510c638a2491409c27af9bb0c90146924074859cb107cedd'
'e4fc091da84f75f701e1f3e336a8d42b746075caf7cb5f23dbb4d8fdd0ac4708'
- '926082110e92bdc8ca53b930f4717a5294b64f6ebcc4d22d46d97088c5e862f0'
'e9d1b74971d58c5b860601bd8c0c11df332dab8be2f61f5d238ba50a5c4efdde'
'714998c5fc379f54a66ff80a845b7880169cd5b4094b77b719a99d33b65c0940')
sha256sums_i686=('2f0c81a38c4578f68f5456b618fe84a78974072821488173eb55e0e72287e353'
@@ -260,6 +260,12 @@ END
cp "${brandingdestdir}"/iceweasel_logo.svg "${brandingdestdir}"/content/aboutlogins.svg
cp "${brandingdestdir}"/iceweasel_logo.svg "${brandingdestdir}"/content/about-logo.svg
+ # produce icons
+ for i in 16 22 24 32 48 64 128 192 256 384; do
+ rsvg-convert -w ${i} -h ${i} "${brandingsrcdir}"/branding/${pkgname}_icon.svg \
+ -o "${brandingdestdir}"/default${i}.png
+ done
+
# custom new tab page
# FIXME: the newtab page (aka "Start Page") has changed significantly
# the new upstream start page ('activity-streams') is an add-on now
@@ -277,40 +283,35 @@ END
#install -m644 -t browser/extensions/onboarding/content/img -- \
# "${brandingsrcdir}/branding/watermark.svg"
- # produce icons
- for i in 16 22 24 32 48 64 128 192 256 384; do
- rsvg-convert -w $i -h $i "${brandingsrcdir}/branding/${pkgname}_icon.svg" \
- -o "${brandingdestdir}/default$i.png"
- done
-
# process default Top Sites and their icons
local tippytopdir=browser/components/newtab/data/content/tippytop
- find "${tippytopdir}" -type f \
- -not -name 'wikipedia-org*' \
- -not -name 'top_sites.json' \
- -exec rm -v {} \;
+ find ${tippytopdir} -type f \
+ -not -name 'wikipedia-org*' \
+ -not -name 'top_sites.json' \
+ -exec rm -v {} \;
for image in "${brandingsrcdir}"/tippytop/*.svg; do
local outname=$(basename -s .svg "${image}")
+ local size=$(identify -format '%wx%h' ${tippytopdir}/images/wikipedia-org@2x.png)
+ local background=$( [[ "${outname}" == 'gnu' ]] && echo 'white' || echo 'none' )
+ magick -density 300 ${image} \
+ -gravity center -resize ${size} -extent ${size} \
+ "${tippytopdir}/images/${outname}@2x.png"
- local size=$(identify -format '%wx%h' "${tippytopdir}"/images/wikipedia-org@2x.png)
- magick -density 300 $image -gravity center -resize $size -extent $size \
- "${tippytopdir}/images/${outname}@2x.png"
-
- local background='none'
- if [[ $outname == 'gnu' ]]; then background='white'; fi
size=256x256
- magick -density 300 -background $background $image -gravity center \
- -resize $size -extent $size -define icon:auto-resize=64,48,32,16 \
- "${tippytopdir}/favicons/${outname}.ico"
+ magick -density 300 -background ${background} ${image} \
+ -gravity center -resize ${size} -extent ${size} \
+ -define icon:auto-resize=64,48,32,16 \
+ "${tippytopdir}/favicons/${outname}.ico"
done
# apply branding patches
export QUILT_PATCHES="${brandingsrcdir}"/patches
export QUILT_REFRESH_ARGS='-p ab --no-timestamps --no-index'
export QUILT_DIFF_ARGS='--no-timestamps'
- export QUILT_PC=$srcdir/.pc
+ export QUILT_PC="${srcdir}"/.pc
quilt push -av
+
## searchengines ##
pushd browser/components/search/extensions
@@ -324,10 +325,11 @@ END
! diff manifest.json.tmp ddg/manifest.json > /dev/null
mv manifest.json.tmp ddg/manifest.json
+ # Delete unused search engine configs
find -mindepth 1 -maxdepth 1 \
- -not -name ddg \
- -not -name wikipedia \
- -exec rm -frv {} \;
+ -not -name ddg \
+ -not -name wikipedia \
+ -exec rm -frv {} \;
popd
@@ -351,11 +353,10 @@ END
rm testing/mozbase/mozproxy/tests/files/mitm5-linux-firefox-amazon.zip
# Disable/neutralize Remote Settings (as best we can)
- echo "applying libre-0001-always-sync-remote-settings-with-local-dump.patch"
- patch -Np1 --no-backup-if-mismatch -i ../libre-0001-always-sync-remote-settings-with-local-dump.patch
+ echo "applying 9001-always-sync-remote-settings-with-local-dump.patch"
+ patch -Np1 --no-backup-if-mismatch -i ../9001-always-sync-remote-settings-with-local-dump.patch
- # Check Remote Settings patched completely by
- # libre-0001-always-sync-remote-settings-with-local-dump.patch
+ # Verify Remote Settings patching
local settings_server='firefox.settings.services.mozilla.com'
! grep -qr $settings_server || { echo 'Remote Settings patching needs rework'; return 1; }
@@ -366,11 +367,11 @@ END
#sed -i '/pocket/d' browser/extensions/moz.build
#sed -i '/activity-stream/d' browser/extensions/moz.build
- python ../libre-process-json-files.py "$srcdir/firefox-$pkgver" "${brandingsrcdir}"
+ python ../process-json-files.py "${srcdir}"/firefox-${pkgver} "${brandingsrcdir}"
# Remove remaining non-free bits
- echo "applying libre.patch"
- patch -Np1 --no-backup-if-mismatch -i "${srcdir}"/libre.patch
+ echo "applying 9002-misc-libre.patch"
+ patch -Np1 --no-backup-if-mismatch -i "${srcdir}"/9002-misc-libre.patch
}
build() {
diff --git a/libre/iceweasel/libre-process-json-files.py b/libre/iceweasel/process-json-files.py
index 2fdde62d4..2fdde62d4 100644
--- a/libre/iceweasel/libre-process-json-files.py
+++ b/libre/iceweasel/process-json-files.py